<?
require'../config.php';
$align='left';
$title='Битва брэндов';
head();
aut();
levels(9);
include_once '../sys/inc/thead.php';
include_once 'func.php';


switch ($_GET['mod']) {
default:
echo '<div class="any_menu">';
echo '<a href="apanel?mod=add">Добавить битву</a> | ';
echo '<a href="apanel?mod=delete">Удалить битву</a>';
echo '</div>';
break;

case 'add':
echo '<div class="forms">';
echo '<form action="apanel?mod=upload" method="POST" name="form" enctype="multipart/form-data">';
echo '<b>Название:</b> [max.50]<br/><input name="name" type="text" maxlength="50"/><br/><br/>';
echo '<b>Бренд 1:</b> [max.50]<br/><input name="brand1" type="text" maxlength="50"/><br/>';
echo '<b>Логотип:</b><br /><input type="file" name="f_brand1"><br /><br />';
echo '<b>Бренд 2:</b> [max.50]<br/><input name="brand2" type="text" maxlength="50"/><br/>';
echo '<b>Логотип:</b><br /><input type="file" name="f_brand2"><br /><br />';
echo '<b>Время длительности: [в сутках]</b><br /><input name="time" type="text" maxlength="50"/><br/>';
echo 'Вкл. коментарии: <input type="checkbox"  name="coment" value="1" /><br />';
echo '<input name="submit" type="submit" class="button" value="Создать" /></form>';
echo '</div>';
break;

case 'upload':
###Загрузка 1-го файла

$extentions = array("jpeg","jpg","png","gif");
$file_1 = $_FILES['f_brand1']['tmp_name'];
$filename_1 = $_FILES['f_brand1']['name'];
$type_1 = strtolower(substr($filename_1, 1+strrpos($filename_1,".")));
$new_name_1 = 'file-'.time().'.'.$type_1;
$razr1 = getimagesize($_FILES['f_brand1']['tmp_name']);

###Загрузка 2-го файла
$extentions = array("jpeg","jpg","png","gif");
$file_2 = $_FILES['f_brand2']['tmp_name'];
$filename_2 = $_FILES['f_brand2']['name'];
$type_2 = strtolower(substr($filename_2, 1+strrpos($filename_2,".")));
$new_name_2 = 'file2-'.time().'.'.$type_2;
$razr2 = getimagesize($_FILES['f_brand2']['tmp_name']);

####################################################
$name = html($_POST['name']);
$brand1 = html($_POST['brand1']);
$brand2 = html($_POST['brand2']);
$time = num($_POST['time']);
$coment = num($_POST['coment']);

if (empty($name)) $err = 'Вы не написали название';
if (empty($brand1)) $err = 'Вы не написали название первого бренда';
if (empty($brand2)) $err = 'Вы не написали название второго бренда';
if (empty($time)) $err = 'Вы не указали время';
if (!copy($file_1, "files/".$new_name_1)) $err = '1 брэнд не загружен';
if (!copy($file_2, "files/".$new_name_2)) $err = '2 брэнд не загружен';
if($razr1[0] > 200 AND $razr1[1] > 200) $err = 'Слишком большое разрешение 1-го брэнда. Max 200x200';
if(!in_array($type_1,$extentions)) $err = 'Не вернон расширение 1-го брэнда';
if($razr2[0] > 200 AND $razr2[1] > 200) $err = 'Слишком большое разрешение 2-го брэнда. Max 200x200';
if(!in_array($type_2,$extentions)) $err = 'Не вернон расширение 2-го брэнда';

if ($coment == 1)
$coment = 1;
else
$coment = 0;
if (isset($err))
echo 'Ошибка, ' . $err . '<br/>';
else {
if (mysql_query("INSERT INTO `brand` SET `name` = '".$name."', `brand1` = '".$brand1."', `brand2` = '".$brand2."', `date` = '".time()."', `time` = '".(time() + ($time * 86400))."', `coment` = '".$coment."', `f_brand_1` = '".$new_name_1."', `f_brand_2` = '".$new_name_2."' ")) {
echo 'Бренд успешно добавлен';
} else {
echo 'Возникла ошибка';
}
}


break;

case 'delete':
$all = mysql_result(mysql_query("SELECT count(*) FROM `brand`"), 0);

if($all == 0)
echo 'Бренды еще не созданы';

$result = mysql_query("SELECT * FROM brand order by id desc");
while($brand = mysql_fetch_assoc($result)){
echo '<b>' . $brand['name'] . '</b> [<a href="apanel?mod=del&id='.$brand['id'].'">x</a>]<br/>';
}
break;

case 'del':
$id = num($_GET['id']);
$brand = mysql_fetch_assoc(mysql_query("SELECT * FROM `brand` WHERE `id` = '".$id."'"));
mysql_query("DELETE FROM `brand` WHERE `id` = '".$id."'");
unlink('files/'.$brand['f_brand_1']);
unlink('files/'.$brand['f_brand_2']);
header('Location: apanel.php?mod=delete');
break;
}

echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
